classification
Title: Minor corrections to the zipfile documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: asvetlov, chris.jerdonek, docs@python, ezio.melotti, pitrou, python-dev, serhiy.storchaka
Priority: normal Keywords: needs review, patch

Created on 2012-09-24 16:08 by serhiy.storchaka, last changed 2012-10-06 16:11 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
doc_zipfile-3.3.patch serhiy.storchaka, 2012-09-25 18:22 Patch for 3.3 and 3.4 review
doc_zipfile-3.2.patch serhiy.storchaka, 2012-09-25 18:22 review
doc_zipfile-2.7.patch serhiy.storchaka, 2012-09-25 18:22 review
Messages (9)
msg171157 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-09-24 16:08
The proposed patch corrects a few markup errors in the zipfile documentation and adds a few relevant hyperlinks.
msg171267 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2012-09-25 13:14
-   :meth:`close`\ d without adding any files to the archive, the appropriate
+   :meth:`close <close>`\ d without adding any files to the archive, the appropriate

This formatting looks odd to me when rendered (both cases).  I would perhaps suggest something like, "... and then close() is called without ...."
msg171278 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-25 14:08
:meth:`closed <close>` works too.
msg171305 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-09-25 18:22
> :meth:`closed <close>` works too.

Patches updated.
msg172206 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-10-06 15:11
New changeset 2c398a78dba8 by Andrew Svetlov in branch '2.7':
Issue #16025: Minor corrections to the zipfile documentation.
http://hg.python.org/cpython/rev/2c398a78dba8

New changeset 3d54d17a637b by Andrew Svetlov in branch '3.2':
Issue #16025: Minor corrections to the zipfile documentation.
http://hg.python.org/cpython/rev/3d54d17a637b

New changeset 2e7a57cdd961 by Andrew Svetlov in branch '3.3':
Issue #16025: Minor corrections to the zipfile documentation.
http://hg.python.org/cpython/rev/2e7a57cdd961

New changeset 7fd068d4ded8 by Andrew Svetlov in branch 'default':
Issue #16025: Minor corrections to the zipfile documentation.
http://hg.python.org/cpython/rev/7fd068d4ded8
msg172207 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-10-06 15:12
Committed. Please close the issue if all work done.
Thanks.
msg172211 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-10-06 15:29
Andrew, please revert the test_subprocess changes.
msg172212 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-10-06 15:48
Done in 674fa8d211f2, 5665806908c4 and c9695a0b0923. Sorry.
msg172214 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-10-06 16:11
Thank you, Andrew.
History
Date User Action Args
2012-10-06 16:11:46serhiy.storchakasetstage: patch review -> resolved
2012-10-06 16:11:18serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg172214
2012-10-06 15:48:08asvetlovsetmessages: + msg172212
2012-10-06 15:29:13pitrousetnosy: + pitrou
messages: + msg172211
2012-10-06 15:12:10asvetlovsetnosy: + asvetlov
messages: + msg172207
2012-10-06 15:11:12python-devsetnosy: + python-dev
messages: + msg172206
2012-10-06 14:46:55serhiy.storchakasetkeywords: + needs review
versions: + Python 3.4
2012-09-25 18:22:59serhiy.storchakasetfiles: + doc_zipfile-3.3.patch, doc_zipfile-3.2.patch, doc_zipfile-2.7.patch

messages: + msg171305
2012-09-25 18:21:46serhiy.storchakasetfiles: - doc_zipfile-2.7.patch
2012-09-25 18:21:32serhiy.storchakasetfiles: - doc_zipfile-3.2.patch
2012-09-25 18:21:18serhiy.storchakasetfiles: - doc_zipfile-3.3.patch
2012-09-25 14:08:57ezio.melottisetmessages: + msg171278
2012-09-25 13:14:18chris.jerdoneksetnosy: + chris.jerdonek
messages: + msg171267
2012-09-24 16:13:08ezio.melottisetnosy: + ezio.melotti

type: enhancement
stage: patch review
2012-09-24 16:10:15serhiy.storchakasetfiles: + doc_zipfile-2.7.patch
2012-09-24 16:09:46serhiy.storchakasetfiles: + doc_zipfile-3.2.patch
2012-09-24 16:08:01serhiy.storchakacreate